;This is a master include file for the TinyRTC
;clock/calendar module with eeprom. It is really
;nothing more than an invocation of two include
;files already in Great Cow Basic, with the
;commands renamed for consistency throughout.

;Quick Command Reference:

;RTC_Enable(flag)
;RTC_ResetClock
;RTC_SetClock(hour, minute, second, DOW, date, month, year)
;RTC_SetTime(hour, minute, second)
;RTC_SetDate(DOW, date, month, year)
;RTC_ReadClock(hour, minute, second, a.m.|p.m., DOW, date, month, year)
;RTC_ReadTime(hour, minute, second, a.m.|p.m.)
;RTC_ReadDate(DOW, date, month, year)
;RTC_SetHourMode(12|24)
;RTC_ReadHourMode(12|24)
;RTC_SetSQW(rate)
;RTC_Write(address, value)
;RTC_Read(address, value)
;eepByteW(device_number, address, value)
;eepByteR(device number, address, value)
;eepArrW(device_number, page_size, address, array_name, number_of_bytes)
;eepArrR(device_number, address, array_name, number_of_bytes)

;* DOW means day of week (1 through 7)

;--------------------------------------------

#include <DS1307.h>
#include <I2CEeprom.h>

#define EEPROM_DEVICE     0xA0  ;device number of the AT24C32
#define EEPROM_PAGE_SIZE  32    ;32 bytes per page in the AT24C32

#define RTC_Enable        DS1307_Enable
#define RTC_ResetClock    DS1307_ResetClock
#define RTC_SetClock      DS1307_SetClock
#define RTC_SetTime       DS1307_SetTime
#define RTC_SetDate       DS1307_SetDate
#define RTC_ReadClock     DS1307_ReadClock
#define RTC_ReadTime      DS1307_ReadTime
#define RTC_ReadDate      DS1307_ReadDate
#define RTC_SetHourMode   DS1307_SetHourMode
#define RTC_ReadHourMode  DS1307_ReadHourMode
#define RTC_SetSQW        DS1307_SetSQW
#define RTC_Write         DS1307_Write
#define RTC_Read          DS1307_Read
#define eepByteW          eeprom_wr_byte
#define eepByteR          eeprom_rd_byte
#define eepArrW           eeprom_wr_array
#define eepArrR           eeprom_rd_array

